# $Revision: 1.19 $, $Date: 2010/10/31 10:57:05 $
Summary:	xkbutils applications: xkbbell, xkbvleds, xkbwatch
Summary(pl.UTF-8):	Aplikacje xkbutils: xkbbell, xkbvleds, xkbwatch
Name:		xorg-app-xkbutils
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xkbutils-%{version}.tar.bz2
# Source0-md5:	52ad6d8d87577a8ac736ab5488bec210
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xkbutils is a collection of small utilities utilizing the XKeyboard
(XKB) extension to the X11 protocol. It includes:
- xkbbell: generate XKB bell events
- xkbvleds: display the state of LEDs on an XKB keyboard in a window
- xkbwatch: reports changes in the XKB keyboard state

%description -l pl.UTF-8
xkbutils to zbiór małych narzędzi wykorzystujących rozszerzenie XKB
(XKeyboard) protokołu X11. Zawiera:
- xkbbell - generujące zdarzenia dzwonka XKB
- xkbvleds - wyświetlające w okienku stan diod na klawiaturze XKB
- xkbwatch - zgłaszające zmiany stanu klawiatury XKB

%prep
%setup -q -n xkbutils-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xkbbell
%attr(755,root,root) %{_bindir}/xkbvleds
%attr(755,root,root) %{_bindir}/xkbwatch
%{_mandir}/man1/xkbbell.1x*
%{_mandir}/man1/xkbvleds.1x*
%{_mandir}/man1/xkbwatch.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xkbutils.spec,v $
Revision 1.19  2010/10/31 10:57:05  qboosh
- updated to 1.0.3

Revision 1.18  2009/10/19 05:32:10  qboosh
- updated to 1.0.2

Revision 1.17  2008/11/09 11:11:07  arekm
- rel 4; don't rebuild am/ac untill rebuild tarball available

Revision 1.16  2008/11/07 20:51:29  arekm
- release 3

Revision 1.15  2008/07/27 23:02:28  arekm
- release 2

Revision 1.14  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.12  2006/10/15 19:58:29  qboosh
- fixed bogus descs

Revision 1.11  2006/10/15 18:58:03  qboosh
- use individual dir, more verbose files, release 1

Revision 1.10  2006/01/12 15:09:41  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/13 15:22:11  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.8  2005/11/19 22:02:26  qboosh
- 0.99.1 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 08:20:25  qboosh
- switched to 0.99.0 from X11R7.0-RC1

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 13:52:52  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix}
- added BR: libXaw-devel, libxkbfile-devel
- release 0.02

* Mon Aug  8 2005 11:25:26  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
